| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]
CompilerEnvironment

# Method CompilerEnvironment()->get_default_module()

Method get_default_module

  `mapping(string:mixed)|object get_default_module()`

Description

  Get the default module for the current compatibility level (ie typically the value returned by all_constants() ).

  The default implementation calls the corresponding function in the master object.

Returns

  `mapping(string:mixed)|object` | Constant table to use.
  `int(0..0)` | Use the builtin constant table.

Note

  This function is typically called by Pike_compiler()->get_default_module() .

See also

  MasterObject()->get_default_module() .